# Uses of Class
org.apache.commons.math3.util.Pair

Packages that use Pair
Package
Description
org.apache.commons.math3.analysis.integration.gauss
Gauss family of quadrature schemes.
org.apache.commons.math3.distribution
Implementations of common discrete and continuous distributions.
org.apache.commons.math3.fitting.leastsquares
This package provides algorithms that minimize the residuals between observations and model values.
org.apache.commons.math3.ml.neuralnet
Neural networks.
org.apache.commons.math3.optim
Generally, optimizers are algorithms that will either `minimize` or `maximize` a scalar function, called the `objective function`.
org.apache.commons.math3.optimization
All classes and sub-packages of this package are deprecated.
org.apache.commons.math3.util
Convenience routines and common data structures used throughout the commons-math library.

## Uses of Pair in org.apache.commons.math3.analysis.integration.gauss

Methods in org.apache.commons.math3.analysis.integration.gauss that return Pair
Modifier and Type
Method
Description
`protected abstract Pair<T[],T[]>`
BaseRuleFactory.`computeRule(int numberOfPoints)`
Computes the rule for the given order.
`protected Pair<Double[],Double[]>`
HermiteRuleFactory.`computeRule(int numberOfPoints)`
Computes the rule for the given order.
`protected Pair<BigDecimal[],BigDecimal[]>`
LegendreHighPrecisionRuleFactory.`computeRule(int numberOfPoints)`
Computes the rule for the given order.
`protected Pair<Double[],Double[]>`
LegendreRuleFactory.`computeRule(int numberOfPoints)`
Computes the rule for the given order.
`Pair<double[],double[]>`
BaseRuleFactory.`getRule(int numberOfPoints)`
Gets a copy of the quadrature rule with the given number of integration points.
`protected Pair<T[],T[]>`
BaseRuleFactory.`getRuleInternal(int numberOfPoints)`
Gets a rule.
Methods in org.apache.commons.math3.analysis.integration.gauss with parameters of type Pair
Modifier and Type
Method
Description
`protected void`
BaseRuleFactory.`addRule(Pair<T[],T[]> rule)`
Stores a rule.
Constructors in org.apache.commons.math3.analysis.integration.gauss with parameters of type Pair
Modifier
Constructor
Description
``
`GaussIntegrator(Pair<double[],double[]> pointsAndWeights)`
Creates an integrator from the given pair of points (first element of the pair) and weights (second element of the pair.
``
`SymmetricGaussIntegrator(Pair<double[],double[]> pointsAndWeights)`
Creates an integrator from the given pair of points (first element of the pair) and weights (second element of the pair.

## Uses of Pair in org.apache.commons.math3.distribution

Methods in org.apache.commons.math3.distribution that return types with arguments of type Pair
Modifier and Type
Method
Description
`List<Pair<Double,T>>`
MixtureMultivariateRealDistribution.`getComponents()`
Gets the distributions that make up the mixture model.
`List<Pair<T,Double>>`
EnumeratedDistribution.`getPmf()`
Return the probability mass function as a list of invalid input: '<'value, probability> pairs.
Constructor parameters in org.apache.commons.math3.distribution with type arguments of type Pair
Modifier
Constructor
Description
``
`EnumeratedDistribution(List<Pair<T,Double>> pmf)`
Create an enumerated distribution using the given probability mass function enumeration.
``
`EnumeratedDistribution(RandomGenerator rng, List<Pair<T,Double>> pmf)`
Create an enumerated distribution using the given random number generator and probability mass function enumeration.
``
`MixtureMultivariateNormalDistribution(List<Pair<Double,MultivariateNormalDistribution>> components)`
Creates a mixture model from a list of distributions and their associated weights.
``
`MixtureMultivariateNormalDistribution(RandomGenerator rng, List<Pair<Double,MultivariateNormalDistribution>> components)`
Creates a mixture model from a list of distributions and their associated weights.
``
`MixtureMultivariateRealDistribution(List<Pair<Double,T>> components)`
Creates a mixture model from a list of distributions and their associated weights.
``
`MixtureMultivariateRealDistribution(RandomGenerator rng, List<Pair<Double,T>> components)`
Creates a mixture model from a list of distributions and their associated weights.

## Uses of Pair in org.apache.commons.math3.fitting.leastsquares

Methods in org.apache.commons.math3.fitting.leastsquares that return Pair
Modifier and Type
Method
Description
`Pair<RealVector,RealMatrix>`
MultivariateJacobianFunction.`value(RealVector point)`
Compute the function value and its Jacobian.

## Uses of Pair in org.apache.commons.math3.ml.neuralnet

Methods in org.apache.commons.math3.ml.neuralnet that return Pair
Modifier and Type
Method
Description
`static Pair<Neuron,Neuron>`
MapUtils.`findBestAndSecondBest(double[] features, Iterable<Neuron> neurons, DistanceMeasure distance)`
Finds the two neurons that best match the given features.

## Uses of Pair in org.apache.commons.math3.optim

Classes in org.apache.commons.math3.optim with type parameters of type Pair
Modifier and Type
Class
Description
`class`
`SimplePointChecker<PAIR extends Pair<double[],? extends Object>>`
Simple implementation of the `ConvergenceChecker` interface using only point coordinates.
Subclasses of Pair in org.apache.commons.math3.optim
Modifier and Type
Class
Description
`class`
`PointValuePair`
This class holds a point and the value of an objective function at that point.
`class`
`PointVectorValuePair`
This class holds a point and the vectorial value of an objective function at that point.

## Uses of Pair in org.apache.commons.math3.optimization

Classes in org.apache.commons.math3.optimization with type parameters of type Pair
Modifier and Type
Class
Description
`class`
`SimplePointChecker<PAIR extends Pair<double[],? extends Object>>`
Deprecated.
As of 3.1 (to be removed in 4.0).
Subclasses of Pair in org.apache.commons.math3.optimization
Modifier and Type
Class
Description
`class`
`PointValuePair`
Deprecated.
As of 3.1 (to be removed in 4.0).
`class`
`PointVectorValuePair`
Deprecated.
As of 3.1 (to be removed in 4.0).

## Uses of Pair in org.apache.commons.math3.util

Methods in org.apache.commons.math3.util that return Pair
Modifier and Type
Method
Description
`static <K, V> Pair<K,V>`
Pair.`create(K k, V v)`
Convenience factory method that calls the `constructor`.
Constructors in org.apache.commons.math3.util with parameters of type Pair
Modifier
Constructor
Description
``
`Pair(Pair<? extends K,? extends V> entry)`
Create an entry representing the same mapping as the specified entry.